#!/usr/bin/python
# -*- coding:utf-8 -*-

# Dfinition d'un serveur rseau rudimentaire
# adaptation du chapitre 18 du livre Le python par l'exemple
# http://inforef.be/swi/python.htm consult le 28/2/14

# Dfinition d'un serveur rseau rudimentaire
# Ce serveur attend la connexion d'un client

import socket, sys, os

HOST = '192.168.1.7'
PORT = 2000

# Effacement de la console
# 'clear' sous linux, 'cls' sous windows
os.system('clear') 
print '*****************************'
print 'Mise en route du serveur     '    
print '*****************************'
print

# 1) cration du socket :
mySocket = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# 2) liaison du socket  une adresse prcise :
try:
    mySocket.bind((HOST, PORT))
except socket.error:
    print "La liaison du socket  l'adresse choisie a chou."
    sys.exit()

while 1:
# 3) Attente de la requte de connexion d'un client :
    print "Serveur pret, en attente de requetes ..."
    mySocket.listen(5)

# 4) Etablissement de la connexion :
    connexion, adresse = mySocket.accept()
    print "Client connecte, adresse IP %s, port %s" % (adresse[0], adresse[1])

# 5) Dialogue avec le client :
    msgClient = connexion.recv(1024)
    while 1:
        print "C>", msgClient
        if msgClient.upper() == "FIN" or msgClient =="":
            break
        msgClient = connexion.recv(1024)

# 6) Fermeture de la connexion :
    connexion.send("Au revoir !")
    print "Connexion interrompue."
    connexion.close()
    
    
    

        